<ion-content>
  <ion-toolbar>
      <ion-buttons slot="start">
          <ion-menu-button></ion-menu-button>
      </ion-buttons>
      <ion-item>
          <ion-label>{{ 'Securities' | translate }} >> {{ 'Guards' | translate }} >>
              {{ 'Update Security Guard' | translate }}</ion-label>
      </ion-item>
  </ion-toolbar>

  <ion-card>
      <ion-card-header>
          <ion-card-title>{{ 'Update Security Guard' | translate }}</ion-card-title>
          <ion-card-subtitle>{{ 'Update a new Security Guard' | translate }}</ion-card-subtitle>
      </ion-card-header>
      <ion-card-content>
          <form [formGroup]="form" (ngSubmit)="updateSecurityGuard()" (keyup.enter)="updateSecurityGuard()" method="post">

              <ion-grid>
                  <ion-row>
                      <ion-col>
                          <div padding align="center">
                              <ion-avatar>
                                  <img [src]="securityGuard.profilePicture.content">
                                  <ion-fab vertical="center" horizontal="center" >
                                    <ion-fab-button size="small">
                                      <ion-icon name="image"></ion-icon>
                                    </ion-fab-button>
                                    <ion-fab-list side="start" (click)="takePicture()">
                                      <ion-fab-button size="small" color="primary">
                                        <ion-icon name="camera"></ion-icon>
                                      </ion-fab-button>
                                    </ion-fab-list>
                                    <ion-fab-list side="end" (click)="removePicture()">
                                      <ion-fab-button size="small" color="danger">
                                        <ion-icon name="trash"></ion-icon>
                                      </ion-fab-button>
                                    </ion-fab-list>
                                  </ion-fab>
                              </ion-avatar>
                          </div>
                      </ion-col>
                  </ion-row>

                  <ion-row>
                      <ion-col>
                          <div padding align="center">
                              <ion-button (click)="takePicture()">{{ 'Take Photo' | translate }}</ion-button>
                          </div>
                      </ion-col>
                      <ion-col>
                          <div padding align="center">
                              <ion-button (click)="removePicture()">{{ 'Remove Photo' | translate }}</ion-button>
                          </div>
                      </ion-col>
                  </ion-row>
                  <ion-item>
                      <ion-label position="floating">{{ 'Name' | translate }}</ion-label>
                      <ion-input formControlName="name" type="text" name="name"></ion-input>
                  </ion-item>

                  <div style="color: red" *ngIf="form.get('name').hasError('required') && form.get('name').touched">
                      {{ 'This field is required*' | translate }}</div>

                  <ion-item>
                      <ion-label position="floating">{{ 'Phone Number' | translate }}</ion-label>
                      <ion-input formControlName="phoneNumber" type="phoneNumber"></ion-input>
                  </ion-item>

                  <div style="color: red;"
                      *ngIf="form.get('phoneNumber').hasError('required') && form.get('phoneNumber').touched">
                      {{ 'This field is required*' | translate }}
                  </div>
                  <div style="color: red;" *ngIf="form.get('phoneNumber').hasError('pattern') && form.get('phoneNumber').touched">
                      {{ 'Please Enter valid phone number' | translate }}
                  </div>

                  <ion-item>
                      <ion-label position="floating">{{ 'Pin' | translate }}</ion-label>
                      <ion-input formControlName="pin" type="number" name="pin"></ion-input>
                  </ion-item>

                  <div style="color: red" *ngIf="form.get('pin').hasError('required') && form.get('pin').touched">
                      {{ 'This field is required*' | translate }}</div>
                  <div style="color: red;" *ngIf="form.get('pin').hasError('pattern') && form.get('pin').touched">
                      {{ 'Pin should be 6 digit long' | translate }}
                  </div>
                  <ion-button *ngIf="this.cacheObject?._cache_pending_operation != 'delete'" type="submit" expand="full" [disabled]="!form.valid">{{ 'Update Security Guard' | translate }}</ion-button>
                  <ion-button *ngIf="this.cacheObject?._cache_pending_operation != 'delete'" expand="full" color="danger" (click)="removeSecurityGuard()">{{ 'Remove Security Guard' | translate }}</ion-button>
              </ion-grid>
          </form>
      </ion-card-content>
  </ion-card>
</ion-content>